Skip to main content

Fetch Vehicle Details API

The following document outlines the details of the Fetch Vehicle Details API.

API Description

Objective

The Fetch Vehicle Details API retrieves detailed vehicle registration information based on the provided Chassis Number.

InputOutput
The vehicle's chassis numberThe complete vehicle profile including registration details, ownership information, vehicle specifications, address details, insurance information, permit details, and financier information. The complete list of output fields is available in the Success Response Details section
did you know

A Chassis Number, also known as a Vehicle Identification Number (VIN), is a unique, 17-character alphanumeric code assigned to each motor vehicle. This number is used to track a vehicle's history, registration, ownership, and other critical information.

The Chassis Number or VIN is typically found stamped on the vehicle's chassis, often in the engine compartment or on the driver's side doorjamb.

API URL

https://ind-thomas.hyperverge.co/v1/getVehicleDetailsFromChassis

API Endpoint

getVehicleDetailsFromChassis

Overview

The Fetch Vehicle Details API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should send all data in JSON format through a POST request.

Authentication

You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the Fetch Vehicle Details API.

API Request Details

Method - POST

Headers

ParameterMandatory or OptionalDescriptionValid Values
content-typeMandatoryThis parameter defines the media type for the request payloadapplication/json
appIdMandatoryThe application ID shared by HyperVergeNot Applicable - this is a unique value
appKeyMandatoryThe application key shared by HyperVergeNot Applicable - this is a unique value
transactionidMandatoryThe unique transaction ID for the user journeyNot Applicable - this is a unique value

Input

The following table provides the details of the parameters required for the Fetch Vehicle Details API's request body:

ParameterMandatory or OptionalDescriptionAllowed ValuesDefault Value
chassisNoMandatoryThe vehicle's chassis numberValid chassis number formatNot Applicable

Request

The following code snippet demonstrates a standard curl request for the Fetch Vehicle Details API:

curl --location --request POST 'https://ind-thomas.hyperverge.co/v1/getVehicleDetailsFromChassis' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"chassisNo": "<Enter_the_chassis_number>"
}'

Success Response

The following code snippet demonstrates a success response from the Fetch Vehicle Details API:

{
"status": "success",
"statusCode": 200,
"result": {
"stateCode": "<State_Code>",
"state": "<State_Name>",
"officeCode": "<Office_Code>",
"officeName": "<Office_Name>",
"regNo": "<Registration_Number>",
"regDate": "<Registration_Date>",
"purchaseDate": "<Purchase_Date>",
"ownerCount": "<Owner_Count>",
"ownerName": "<Owner_Name>",
"ownerFatherName": "<Owner_Father_Name>",
"currentAddressLine1": "<Current_Address_Line1>",
"currentAddressLine2": "<Current_Address_Line2>",
"currentAddressLine3": "<Current_Address_Line3>",
"currentDistrictName": "<Current_District_Name>",
"currentState": "<Current_State_Code>",
"currentStateName": "<Current_State_Name>",
"currentPincode": "<Current_Pincode>",
"currentFullAddress": "<Current_Full_Address>",
"permanentAddressLine1": "<Permanent_Address_Line1>",
"permanentAddressLine2": "<Permanent_Address_Line2>",
"permanentAddressLine3": "<Permanent_Address_Line3>",
"permanentDistrictName": "<Permanent_District_Name>",
"permanentState": "<Permanent_State_Code>",
"permanentStateName": "<Permanent_State_Name>",
"permanentPincode": "<Permanent_Pincode>",
"permanentFullAddress": "<Permanent_Full_Address>",
"ownerCodeDescr": "<Owner_Code_Description>",
"regTypeDescr": "<Registration_Type_Description>",
"vehicleClassDesc": "<Vehicle_Class_Description>",
"chassisNo": "<Chassis_Number>",
"engineNo": "<Engine_Number>",
"vehicleManufacturerName": "<Vehicle_Manufacturer_Name>",
"modelCode": "<Model_Code>",
"model": "<Model_Name>",
"bodyType": "<Body_Type>",
"cylindersNo": "<Cylinders_Number>",
"vehicleHp": "<Vehicle_Horsepower>",
"vehicleSeatCapacity": "<Vehicle_Seat_Capacity>",
"vehicleStandingCapacity": "<Vehicle_Standing_Capacity>",
"vehicleSleeperCapacity": "<Vehicle_Sleeper_Capacity>",
"unladenWeight": "<Unladen_Weight>",
"vehicleGrossWeight": "<Vehicle_Gross_Weight>",
"vehicleGrossCombWeight": "<Vehicle_Gross_Comb_Weight>",
"fuelDescr": "<Fuel_Description>",
"color": "<Vehicle_Color>",
"manufacturingMon": "<Manufacturing_Month>",
"manufacturingYr": "<Manufacturing_Year>",
"normsDescr": "<Norms_Description>",
"wheelbase": "<Wheelbase>",
"cubicCap": "<Cubic_Capacity>",
"floorArea": "<Floor_Area>",
"acFitted": "<AC_Fitted>",
"audioFitted": "<Audio_Fitted>",
"videoFitted": "<Video_Fitted>",
"vehicleCatg": "<Vehicle_Category>",
"saleAmount": "<Sale_Amount>",
"length": "<Vehicle_Length>",
"width": "<Vehicle_Width>",
"height": "<Vehicle_Height>",
"regUpto": "<Registration_Valid_Upto>",
"fitUpto": "<Fitness_Valid_Upto>",
"taxUpto": "<Tax_Valid_Upto>",
"importedVehicle": "<Imported_Vehicle>",
"status": "<Vehicle_Status>",
"vehicleType": "<Vehicle_Type>",
"taxMode": "<Tax_Mode>",
"vehicleInsuranceDetails": {
"insuranceFrom": "<Insurance_From_Date>",
"insuranceUpto": "<Insurance_Upto_Date>",
"insuranceCompanyCode": "<Insurance_Company_Code>",
"insuranceCompanyName": "<Insurance_Company_Name>",
"opdt": "<Operation_Date>",
"policyNo": "<Policy_Number>",
"vahanVerify": "<Vahan_Verify>",
"regNo": "<Registration_Number>"
},
"vehiclePuccDetails": {
"puccFrom": "<PUCC_From_Date>",
"puccUpto": "<PUCC_Upto_Date>",
"puccCentreno": "<PUCC_Centre_Number>",
"puccNo": "<PUCC_Number>",
"opDt": "<Operation_Date>"
},
"permitDetails": {
"applNo": "<Application_Number>",
"pmtNo": "<Permit_Number>",
"regNo": "<Registration_Number>",
"rcptNo": "<Receipt_Number>",
"purpose": "<Purpose>",
"permitType": "<Permit_Type>",
"permitCatg": "<Permit_Category>",
"permitIssuedOn": "<Permit_Issued_On>",
"permitValidFrom": "<Permit_Valid_From>",
"permitValidUpto": "<Permit_Valid_Upto>"
},
"latestTaxDetails": {
"regNo": "<Registration_Number>",
"taxMode": "<Tax_Mode>",
"paymentMode": "<Payment_Mode>",
"taxAmt": "<Tax_Amount>",
"taxFine": "<Tax_Fine>",
"rcptDt": "<Receipt_Date>",
"taxFrom": "<Tax_From_Date>",
"taxUpto": "<Tax_Upto_Date>",
"collectedBy": "<Collected_By>",
"rcptNo": "<Receipt_Number>"
},
"financerDetails": {
"hpType": "<HP_Type>",
"financerName": "<Financer_Name>",
"financerAddressLine1": "<Financer_Address_Line1>",
"financerAddressLine2": "<Financer_Address_Line2>",
"financerAddressLine3": "<Financer_Address_Line3>",
"financerDistrict": "<Financer_District>",
"financerPincode": "<Financer_Pincode>",
"financerState": "<Financer_State>",
"financerFullAddress": "<Financer_Full_Address>",
"hypothecationDt": "<Hypothecation_Date>",
"opDt": "<Operation_Date>"
}
},
"metadata": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Success Response Details

The following table outlines the details of the success response from the Fetch Vehicle Details API:

ParameterTypeDescription
statusstringThe status of the request
statusCodenumberThe HTTP status code of the response
result.stateCodestringThe code of the state where the vehicle is registered
result.statestringThe name of the state where the vehicle is registered
result.officeCodenumberThe code of the RTO/DTO office
result.officeNamestringThe name of the RTO/DTO office
result.regNostringThe vehicle registration number
result.regDatestringThe vehicle registration date
result.purchaseDatestringThe vehicle purchase date
result.ownerCountnumberThe number of previous owners
result.ownerNamestringThe name of the current registered owner
result.ownerFatherNamestringThe father's name of the registered owner
result.currentFullAddressstringThe full current address of the owner
result.permanentFullAddressstringThe full permanent address of the owner
result.ownerCodeDescrstringThe owner type description
result.regTypeDescrstringThe type of registration description
result.vehicleClassDescstringThe class or type of the vehicle
result.chassisNostringThe chassis number of the vehicle
result.engineNostringThe engine number of the vehicle
result.vehicleManufacturerNamestringThe name of the vehicle manufacturer
result.modelCodestringThe vehicle model code
result.modelstringThe vehicle model name
result.bodyTypestringThe type of vehicle body
result.fuelDescrstringThe fuel type description
result.vehicleSeatCapacitynumberThe seating capacity of the vehicle
result.unladenWeightnumberThe vehicle's unladen weight in kilograms
result.vehicleGrossWeightnumberThe gross weight of the vehicle in kilograms
result.manufacturingMonnumberThe manufacturing month
result.manufacturingYrnumberThe manufacturing year
result.normsDescrstringThe emission norms description
result.vehicleTypestringThe vehicle type
result.saleAmountnumberThe vehicle's sale amount
result.colorstringThe vehicle color
result.regUptostringThe vehicle registration validity date
result.fitUptostringThe vehicle fitness certificate validity date
result.importedVehiclestringThe indicator whether the vehicle is imported
result.vehicleInsuranceDetailsobjectThe insurance details including company name, policy number, and validity
result.vehiclePuccDetailsobjectThe PUCC (Pollution Under Control Certificate) details
result.permitDetailsobjectThe permit details including type, purpose, and validity
result.latestTaxDetailsobjectThe latest tax information including amount, mode, and validity
result.financerDetailsobjectThe hypothecation and financer details if the vehicle is financed
metadata.requestIdstringThe unique request identifier
metadata.transactionIdstringThe transaction identifier

Error Responses

The following are some error responses from the Fetch Vehicle Details API:

{
"status": "failure",
"statusCode": 400,
"error": "Invalid Chassis Number",
"metadata": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
{
"status": "failure",
"statusCode": 500,
"error": "Internal Server Error"
}

Error Response Details

A failure or error response from the module contains a failure status, with a relevant status code and error message.
The following table lists all error responses:

Status CodeError MessageError Description
400Invalid Chassis NumberThis error occurs when we pass invalid chassis number with special characters
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid values
404Record Not FoundThis error occurs when the entered chassisNo is not found in DB
500Internal Server ErrorPlease contact HyperVerge for investigation
503External source downtimeThis error occurs when the external source is down
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: